package com.bef.effectsdk;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public final class RequirementResourceMapper {
    static {
        Covode.recordClassIndex(2808);
    }

    public static native String[] nativePeekResourcesNeededByRequirements(String[] strArr);

    public static String[] peekResourcesNeededByRequirements(String[] strArr) {
        MethodCollector.i(12424);
        String[] nativePeekResourcesNeededByRequirements = nativePeekResourcesNeededByRequirements(strArr);
        MethodCollector.o(12424);
        return nativePeekResourcesNeededByRequirements;
    }
}
